# $FreeBSD: src/gnu/usr.bin/man/Makefile.shprog,v 1.1.4.1 1999/09/05 11:06:48 peter Exp $

# This may become bsd.shprog.mk.  The general version would have to handle:
# - arbitrary sed substitutions.
# - programs without man pages.
# - programs with man pages in sections other than section 1.

MAN1=	${SHPROG:S/$/.1/g}

CLEANFILES+=	${SHPROG} ${MAN1}

all:	${SHPROG}

.sh:
	sed -e 's,%libdir%,${libdir},' -e 's,%bindir%,${bindir},' \
	    -e 's,%pager%,${pager},' \
		${.ALLSRC} > ${.TARGET}

.SUFFIXES: .man .1
.man.1:
	sed -e 's,%libdir%,${libdir},' -e 's,%bindir%,${bindir},' \
	    -e 's,%pager%,${pager},' -e 's,%troff%,${troff},' \
	    -e 's,%manpath_config_file%,${manpath_config_file},' \
		${.ALLSRC} > ${.TARGET}

beforeinstall:
	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} \
	    ${SHPROG} ${DESTDIR}${BINDIR}

.include <bsd.prog.mk>
